Subject: Re: r8169 won't transmit with 3.12

From: Craig Small <[email-masked]>
Date: Thu, 23 Jan 2014 18:57:08 +1100

On Thu, Jan 23, 2014 at 12:31:35AM +0100, Francois Romieu wrote:
> Should I understand that the LOM fails on Linux with a naked motherboard ?
Not sure what you mean by LOM. There is no Lights Out Module. I have
now removed the two ethernet cards and enabled the motherboard NIC.
I'll leave it like this. There is one ethernet card that uses a 
8139too module.
The relevant interface is:
03:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 06)
	Subsystem: Gigabyte Technology Co., Ltd Motherboard
	Flags: bus master, fast devsel, latency 0, IRQ 72
	I/O ports at d000 [size=256]
	Memory at fdd00000 (64-bit, non-prefetchable) [size=4K]
	Memory at d2100000 (64-bit, prefetchable) [size=16K]
	Capabilities: [40] Power Management version 3
	Capabilities: [50] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [70] Express Endpoint, MSI 01
	Capabilities: [b0] MSI-X: Enable- Count=4 Masked-
	Capabilities: [d0] Vital Product Data
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Virtual Channel
	Capabilities: [160] Device Serial Number 01-00-00-00-68-4c-e0-00
	Kernel driver in use: r8169

eth5 is the working r8139
eth6 is the r8169 that we're interested in.

> Please check if runtime resume is disabled (/sys/bus/pci/devices/.../power/control
$ cat /sys/bus/pci/devices/0000\:03\:00.0/power/control 
on

> Please don't switch between the r8168 and the r8169 modules at runtime.
> I saw it in your dmesg and I won't claim it's supported.
That's fine. I was doing it to see if it would work. I'll stay with the r8169
for now. I got a watchdog notice now, not sure if that is better or worse.

 - Craig

-- 
Craig Small (@smallsees)   http://enc.com.au/       csmall at : enc.com.au
Debian GNU/Linux           http://www.debian.org/   csmall at : debian.org
GPG fingerprint:        5D2F B320 B825 D939 04D2  0519 3938 F96B DF50 FEA5